# ConfigurableEmitter.RandomValue (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.particles
Class ConfigurableEmitter.RandomValue

    java.lang.Object
      org.newdawn.slick.particles.ConfigurableEmitter.RandomValue

All Implemented Interfaces:
  ConfigurableEmitter.Value

Enclosing class:
  ConfigurableEmitter

    public class ConfigurableEmitter.RandomValue

extends java.lang.Object
implements ConfigurableEmitter.Value

A configurable simple linear random value

Author:
  void

Method Summary
`float` `getValue()` get the configured value
`float` `getValue(float time)` Get the currently configured value
`void` `setValue(float value)` Set the configured value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getValue

    public float getValue(float time)

  Get the currently configured value

  Specified by:
    `getValue` in interface `ConfigurableEmitter.Value`
  Returns:
    The currently configured value

### setValue

    public void setValue(float value)

  Set the configured value

  Parameters:
    `value` - The configured value

### getValue

    public float getValue()

  get the configured value

  Returns:
    the configured value

Copyright © 2006 New Dawn Software. All Rights Reserved.